### Class

# GtkSource Style

#### Description [src]

    final class GtkSource.Style : GObject.Object
    {
      /* No available fields */
    }

Represents a style.

The `GtkSourceStyle` structure is used to describe text attributes which are set when given style is used.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### gtk_source_style_apply

This function modifies the `GtkTextTag` properties that are related to the `GtkSourceStyle` properties. Other `GtkTextTag` properties are left untouched.

###### gtk_source_style_copy

Creates a copy of `style`, that is a new `GtkSourceStyle` instance which has the same attributes set.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GtkSource.Style:background

No description available.

###### GtkSource.Style:background-set

No description available.

###### GtkSource.Style:bold

No description available.

###### GtkSource.Style:bold-set

No description available.

###### GtkSource.Style:foreground

No description available.

###### GtkSource.Style:foreground-set

No description available.

###### GtkSource.Style:italic

No description available.

###### GtkSource.Style:italic-set

No description available.

###### GtkSource.Style:line-background

No description available.

###### GtkSource.Style:line-background-set

No description available.

###### GtkSource.Style:pango-underline

No description available.

###### GtkSource.Style:scale

No description available.

###### GtkSource.Style:scale-set

No description available.

###### GtkSource.Style:strikethrough

No description available.

###### GtkSource.Style:strikethrough-set

No description available.

###### GtkSource.Style:underline-color

No description available.

###### GtkSource.Style:underline-color-set

No description available.

###### GtkSource.Style:underline-set

No description available.

###### GtkSource.Style:weight

No description available.

###### GtkSource.Style:weight-set

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceStyleClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.